<?php
/*
* 2007-2012 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author PrestaShop SA <contact@prestashop.com>
*  @copyright  2007-2012 PrestaShop SA
*  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/
if (!defined('_CAN_LOAD_FILES_'))
	exit;
class Optimizely extends Module
{
	public function __construct()
	{
		$this->name = 'optimizely';
		if (version_compare(_PS_VERSION_, '1.4.0.0') >= 0)
			$this->tab = 'front_office_features';
		else
			$this->tab = 'Blocks';
		$this->version = '1.0';
		$this -> author = 'dh42';
		parent::__construct();
		$this->displayName = $this->l('Optimizely A/B testing');
		$this->description = $this->l('Use Optimizely with your Prestashop store');
	}
	public function install()
	{
		$this->_clearCache('optimizely.tpl');
		return (parent::install()
				&& Configuration::updateValue('optimizely_val', '')
				&& $this->registerHook('header') && $this->registerHook('displayBackOfficeHeader'));
	}
	public function uninstall()

	{

		$this->_clearCache('optimizely.tpl');
		return (Configuration::deleteByName('optimizely_val') && parent::uninstall());
	}
	public function getContent()
	{
		$html = '';
		if (isset($_POST['submitModule']))
		{
			Configuration::updateValue('optimizely_val', ((isset($_POST['address']) && $_POST['address'] != '') ? $_POST['address'] : ''),  true);
			$html .= '<div class="confirm">'.$this->l('Configuration updated').'</div>';
		}
		$html .= '
		<h2>'.$this->displayName.'</h2>
		<form action="'.$_SERVER['REQUEST_URI'].'" method="post">
			<fieldset>
				<p><label for="address">'.$this->l('Optimizely Implimentation').' :</label>
				<textarea id="address" name="address" cols="80" rows="1">'.Configuration::get('optimizely_val').'</textarea></p>
				<div class="margin-form">
					<input type="submit" name="submitModule" value="'.$this->l('Save').'" class="button" /></center>
				</div>
			</fieldset>
		</form>
		';
		return $html;
	}
public function hookHeader($params)
	{

		if (!$this->isCached('optimizely.tpl', $this->getCacheId()))
	{
		global $smarty;
		$smarty->assign(array(
			'optimizely_val' => Configuration::get('optimizely_val')
		));
			}
return $this->display(__FILE__, 'optimizely.tpl', $this->getCacheId());
	}
	public function hookDisplayBackOfficeHeader($params)

	{

		if( isset($this->context->controller->dh_support) )

			return;

		$this->context->controller->dh_support = 1;
		if (version_compare(@_PS_VERSION_,'1.6','<'))
			$this->context->controller->addJS($this->_path . '/dh42_15.js', 'all');
		else
			$this->context->controller->addJS($this->_path . '/dh42.js', 'all');

		return;



	}
}